ATA_TF_READ_BLOCK(9)

NAME
ata_tf_read_block - Read block address from ATA taskfile

SYNOPSIS

u64 ata_tf_read_block(struct ata_taskfile * tf, struct ata_device * dev);

ARGUMENTS

tf
    ATA taskfile of interest

dev
    ATA device tf belongs to

LOCKING

None.

Read block address from tf. This function can handle all three address formats - LBA, LBA48 and CHS. tf->protocol and flags select the address format to use.

RETURNS

Block address read from tf.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT